Package ghidra.framework.main.projectdata.actions

# Class VersionControlCheckOutAction

java.lang.Object
docking.action.DockingAction
ghidra.framework.main.datatable.DomainFileProviderContextAction
ghidra.framework.main.projectdata.actions.VersionControlAction
ghidra.framework.main.projectdata.actions.VersionControlCheckOutAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class VersionControlCheckOutAction extends VersionControlAction
Action to checkout domain files from the repository.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.main.projectdata.actions.VersionControlAction

  `GROUP, repository, tool`

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionControlCheckOutAction(Plugin plugin)`
  Creates an action to checkout domain files from the repository

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(DomainFileContext context)`
  `protected void`
  `checkOut(Collection<DomainFile> files)`
  `boolean`
  `isEnabledForContext(DomainFileContext context)`

  ### Methods inherited from class ghidra.framework.main.projectdata.actions.VersionControlAction

  `checkRepositoryConnected, isAddToPopup, isFileSystemBusy`

  ### Methods inherited from class ghidra.framework.main.datatable.DomainFileProviderContextAction

  `actionPerformed, isAddToPopup, isEnabledForContext, isValidContext, isValidContext`

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isEnabled, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### VersionControlCheckOutAction

    public VersionControlCheckOutAction(Plugin plugin)
    Creates an action to checkout domain files from the repository
    Parameters:
      `plugin` - the plug-in that owns this action

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(DomainFileContext context)
    Specified by:
      `actionPerformed` in class `DomainFileProviderContextAction`

  - ### isEnabledForContext

    public boolean isEnabledForContext(DomainFileContext context)
    Overrides:
      `isEnabledForContext` in class `DomainFileProviderContextAction`

  - ### checkOut

    protected void checkOut(Collection<DomainFile> files)